<?php

/************************************************************************************/
/*                                                                                  */
/* Maty Scripts Analysis for PHP-Nuke 6.0                                           */
/* v1.0: 17-03-2003                                                                 */
/*                                                                                  */
/* Copyright  2002 by: Maty Scripts (webmaster@matyscripts.com)                    */
/* http://www.matyscripts.com                                                       */
/*                                                                                  */
/* This program is free software. You can redistribute it and/or modify             */
/* it under the terms of the GNU General Public License as published by             */
/* the Free Software Foundation; either version 2 of the License.                   */
/*                                                                                  */
/************************************************************************************/

$index = 0;
$module_name = basename( dirname( __FILE__ ) );

if( !eregi( "modules.php", $PHP_SELF ) ) {
   die ( "You can't access this file directly..." );
}

if( isset( $newlang ) ) {
   include( "modules/$module_name/language/lang-$newlang.php" );
   $language = $newlang;
} elseif ( isset( $lang ) ) {
   include( "modules/$module_name/language/lang-$lang.php" );
   $language = $lang;
} else {
   include( "modules/$module_name/language/lang-$language.php" );
}
require_once( "mainfile.php" );
require_once( "modules/$module_name/include/class.general.php" );

/******************************************************************************/
/* FUNCTION: MSAnalysisDetails()                                              */
/* Show Detailed Overview of all Countries                                    */
/******************************************************************************/
function MSAnalysisDetails( $screen )
{
   global $prefix, $dbi, $module_name, $admin;
   	
   include( "header.php" );
   include( "modules/$module_name/menu.php" );
   
   // Get the maximum amount of lines that should be displayed
   $result = sql_query( "select max_view from $prefix"._msanalysis_admin." where id='1'", $dbi );
   list( $max_view ) = sql_fetch_row( $result, $dbi );

   switch( $screen ) {
      case 1:
        MSAnalysisCountries( $max_view, $screen );
      break;
      case 2:
        MSAnalysisReferrals( $max_view, $screen );
      break;
      case 3:
        MSAnalysisSE( $max_view, $screen );
        MSAnalysisSESQ( $max_view, "8" );        
      break;
      case 4:
        MSAnalysisBrowsers( $max_view, $screen );
      break;
      case 5:
        MSAnalysisOS( $max_view, $screen );
      break;
      case 6:
        MSAnalysisModules( $max_view, $screen );
      break;
      case 7:
        MSAnalysisUsers( $max_view, $screen );
      break;
      case 9:
        MSAnalysisResolutions( $max_view, $screen );
      break;      
    default:
        MSAnalysisCountries( $max_view, $screen );
   }
   
   include( "footer.php" );
}

/******************************************************************************/
/* FUNCTION: MSAnalysisCountries()                                            */
/* Show Detailed Overview of all Countries                                    */
/******************************************************************************/
function MSAnalysisCountries( $max_view, $screen )
{
   global $prefix, $dbi, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;

   $counter = 0;
   $msa = new msanalysis();
   $totalhits = $msa->TotalHits( $screen );
   if( is_admin( $admin ) ) { $colspan = 6; } else { $colspan = 5; }
   
   // Show Top-list of Countries
   echo "<table border=\"1\" cellpadding=\"0\" cellspacing=\"2\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\" bgcolor=\"$bgcolor1\">\n";
   echo "<tr><td width=\"100%\" colspan=\"$colspan\" align=\"center\" height=\"30\" bgcolor=\"$bgcolor2\"><b>"._MSA_TOP." $max_view "._MSA_GENCOUNTRIES."</b></td></tr>\n";
   echo "<tr><td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\">&nbsp;</td>\n";
   if( is_admin( $admin ) ) { echo "<td width=\"5%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_DELETE."</b></td>\n"; }
   echo "<td width=\"15%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_FLAG."</b></td>\n";
   echo "<td width=\"20%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_NAME."</b></td>\n";
   echo "<td width=\"25%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td>\n";
   echo "<td width=\"25%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td></tr>\n";
   
   $result = sql_query( "select id, domain, description, hits from $prefix"._msanalysis_countries." order by hits DESC LIMIT 0, $max_view", $dbi );
   while( list( $id, $domain, $description, $hits ) = sql_fetch_row( $result, $dbi ) ) {
      $flag = "modules/$module_name/images/flags/$domain".".gif";
      if( !( file_exists( $flag ) ) ) $flag = "modules/$module_name/images/flags/blank.gif";
	  $counter += 1;
	  echo "<tr><td width=\"10%\"><p align=\"center\">$counter.</td>\n";
      if( is_admin( $admin ) ) { echo "<td width=\"5%\" height=\"22\"><p align=\"center\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisCountriesDel&amp;id=$id&amp;screen=$screen\"><img src=\"modules/$module_name/images/delete.gif\" border=\"0\" align=\"bottom\"></a></td>\n"; }
      echo "<td width=\"15%\"><p align=\"center\"><font class=\"content\"><img src=\"$flag\" ALT=\"$description\" width=\"24\" height=\"15\" border=\"0\"></td>\n";
      echo "<td width=\"20%\"><p align=\"left\"><font class=\"content\"><b>$description</b></td>\n";
      $graphhits = substr( 100 * $hits / $totalhits, 0, 5);
      echo "<td width=\"25%\"><p align=\"left\"><font class=\"content\"><img src=\"themes/$ThemeSel/images/leftbar.gif\" height=\"".$msa->l_size[1]."\" width=\"".$msa->l_size[0]."\" Alt=\"$description\"><img src=\"themes/$ThemeSel/images/mainbar.gif\" Alt=\"$description\" height=\"".$msa->m_size[1]."\" width=", $graphhits * 4, "><img src=\"themes/$ThemeSel/images/rightbar.gif\" height=\"".$msa->r_size[1]."\" width=\"".$msa->r_size[0]."\" Alt=\"$description\"></td>\n";
      echo "<td width=\"25%\"><p align=\"left\"><font class=\"content\"><b> $graphhits %</b> ($hits)</td></tr>\n";
   }
   echo "</table>\n";
} // END function MSAnalysisCountries( )

/******************************************************************************/
/* FUNCTION: MSAnalysisReferrals()                                            */
/* Show Detailed Overview of all Referrals                                    */
/******************************************************************************/
function MSAnalysisReferrals( $max_view, $screen )
{
   global $prefix, $dbi, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;

   $counter = 0;
   $msa = new msanalysis();
   $totalhits = $msa->TotalHits( $screen );
   if( is_admin( $admin ) ) { $colspan = 5; } else { $colspan = 4; }
      
   // Show Top-list of Referrals
   echo "<table border=\"1\" cellpadding=\"0\" cellspacing=\"2\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\" bgcolor=\"$bgcolor1\">\n";
   echo "<tr><td width=\"100%\" colspan=\"$colspan\" align=\"center\" height=\"30\" bgcolor=\"$bgcolor2\"><b>"._MSA_TOP." $max_view "._MSA_GENREFERRALS."</b></td></tr>\n";
   echo "<tr><td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\">&nbsp;</td>\n";
   if( is_admin( $admin ) ) { echo "<td width=\"5%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_DELETE."</b></td>"; }
   echo "<td width=\"45%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_NAME."</b></td>\n";
   echo "<td width=\"20%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td>\n";
   echo "<td width=\"20%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td></tr>\n";

   $result = sql_query( "select id, referral, hits from $prefix"._msanalysis_referrals." order by hits DESC", $dbi );
   while( (list( $id, $referral, $hits ) = sql_fetch_row( $result, $dbi ) ) AND ( $counter < $max_view ) ) {
      if( $msa->IsSearchEngine( $referral ) == 0 ) {
         $counter += 1;
         echo "<tr><td width=\"10%\"><p align=\"center\">$counter.</td>\n";
         if( is_admin( $admin ) ) { echo "<td width=\"5%\" height=\"22\"><p align=\"center\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisReferralsDel&amp;id=$id&amp;screen=$screen\"><img src=\"modules/$module_name/images/delete.gif\" border=\"0\" align=\"bottom\"></a></td>\n"; }
         echo "<td width=\"45%\" align=\"left\"><font class=\"content\"><b><a target=\"_blank\" href=\"$referral\">$referral</a></b></td>\n";
         $graphhits = substr( 100 * $hits / $totalhits, 0, 5);
         echo "<td width=\"20%\"><p align=\"left\"><font class=\"content\"><img src=\"themes/$ThemeSel/images/leftbar.gif\" height=\"".$msa->l_size[1]."\" width=\"".$msa->l_size[0]."\" Alt=\"$referral\"><img src=\"themes/$ThemeSel/images/mainbar.gif\" Alt=\"$referral\" height=\"".$msa->m_size[1]."\" width=", $graphhits * 4, "><img src=\"themes/$ThemeSel/images/rightbar.gif\" height=\"".$msa->r_size[1]."\" width=\"".$msa->r_size[0]."\" Alt=\"$referral\"></td>\n";
         echo "<td width=\"20%\"><p align=\"left\"><font class=\"content\"><b> $graphhits %</b> ($hits)</td></tr>\n";
      }
   }
   echo "</table>\n";
} // END function MSAnalysisReferrals( )

/******************************************************************************/
/* FUNCTION: MSAnalysisSE()                                                   */
/* Show Detailed Overview of all Search Engines AND Queries                   */
/******************************************************************************/
function MSAnalysisSE( $max_view, $screen )
{
   global $prefix, $dbi, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;

   $counter = 0;
   $msa = new msanalysis();
   $totalhits = $msa->TotalHits( $screen );
   if( is_admin( $admin ) ) { $colspan = 5; } else { $colspan = 4; }

   // Show Top-list of Search Engines
   echo "<table border=\"1\" cellpadding=\"0\" cellspacing=\"2\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\" bgcolor=\"$bgcolor1\">\n";
   echo "<tr><td width=\"100%\" colspan=\"$colspan\" align=\"center\" height=\"30\" bgcolor=\"$bgcolor2\"><b>"._MSA_TOP." $max_view "._MSA_GENSENGINES."</b></td></tr>\n";
   echo "<tr><td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\">&nbsp;</td>\n";
   if( is_admin( $admin ) ) { echo "<td width=\"5%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_DELETE."</b></td>\n"; }
   echo "<td width=\"35%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_NAME."</b></td>\n";
   echo "<td width=\"30%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td>\n";
   echo "<td width=\"20%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td></tr>\n";

   $result = sql_query( "select id, referral, hits from $prefix"._msanalysis_referrals." order by hits DESC", $dbi );
   while( (list( $id, $referral, $hits ) = sql_fetch_row( $result, $dbi ) ) AND ( $counter < $max_view ) ) {
      if( $msa->IsSearchEngine( $referral ) == 1 ) {
         $counter += 1;
         echo "<tr><td width=\"10%\"><p align=\"center\">$counter.</td>\n";
         if( is_admin( $admin ) ) { echo "<td width=\"5%\" height=\"22\"><p align=\"center\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisSEDel&amp;id=$id&amp;screen=$screen\"><img src=\"modules/$module_name/images/delete.gif\" border=\"0\" align=\"bottom\"></a></td>\n"; }
         echo "<td width=\"35%\" align=\"left\"><font class=\"content\"><b><a target=\"_blank\" href=\"$referral\">$referral</a></b></td>\n";
         $graphhits = substr( 100 * $hits / $totalhits, 0, 5);
         echo "<td width=\"30%\"><p align=\"left\"><font class=\"content\"><img src=\"themes/$ThemeSel/images/leftbar.gif\" height=\"".$msa->l_size[1]."\" width=\"".$msa->l_size[0]."\" Alt=\"$referral\"><img src=\"themes/$ThemeSel/images/mainbar.gif\" Alt=\"$referral\" height=\"".$msa->m_size[1]."\" width=", $graphhits * 4, "><img src=\"themes/$ThemeSel/images/rightbar.gif\" height=\"".$msa->r_size[1]."\" width=\"".$msa->r_size[0]."\" Alt=\"$referral\"></td>\n";
         echo "<td width=\"20%\"><p align=\"left\"><font class=\"content\"><b> $graphhits %</b> ($hits)</td></tr>\n";
      }
   }
   echo "</table>\n";
} // END function MSAnalysisSE( )

/******************************************************************************/
/* FUNCTION: MSAnalysisSESQ()                                                 */
/* Show Detailed Overview of all Search Engines AND Queries                   */
/******************************************************************************/
function MSAnalysisSESQ( $max_view, $screen )
{
   global $prefix, $dbi, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;
   
   $counter = 0;
   $msa = new msanalysis();   
   $totalhits = $msa->TotalHits( $screen );
   if( is_admin( $admin ) ) { $colspan = 5; } else { $colspan = 4; }

   // Show Top-list of Search Queries
   echo "<br><table border=\"1\" cellpadding=\"0\" cellspacing=\"2\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\" bgcolor=\"$bgcolor1\">\n";
   echo "<tr><td width=\"100%\" colspan=\"$colspan\" align=\"center\" height=\"30\" bgcolor=\"$bgcolor2\"><b>"._MSA_TOP." $max_view "._MSA_GENQUERIES."</b></td></tr>\n";
   echo "<tr><td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\">&nbsp;</td>\n";
   if( is_admin( $admin ) ) { echo "<td width=\"5%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_DELETE."</b></td>\n"; }
   echo "<td width=\"25%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_NAME."</b></td>\n";
   echo "<td width=\"30%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td>\n";
   echo "<td width=\"30%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td></tr>\n";

   $result = sql_query( "select id, words, hits from $prefix"._msanalysis_search." order by hits DESC", $dbi );
   while( (list( $id, $words, $hits ) = sql_fetch_row( $result, $dbi ) ) AND ( $counter < $max_view ) ) {
      $counter += 1;
      echo "<tr><td width=\"10%\"><p align=\"center\">$counter.</td>\n";
      if( is_admin( $admin ) ) { echo "<td width=\"5%\" height=\"22\"><p align=\"center\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisSESQDel&amp;id=$id&amp;screen=$screen\"><img src=\"modules/$module_name/images/delete.gif\" border=\"0\" align=\"bottom\"></a></td>\n"; }
      echo "<td width=\"25%\" align=\"left\"><font class=\"content\"><b>$words</b></td>\n";
      $graphhits = substr( 100 * $hits / $totalhits, 0, 5);
      echo "<td width=\"30%\"><p align=\"left\"><font class=\"content\"><img src=\"themes/$ThemeSel/images/leftbar.gif\" height=\"".$msa->l_size[1]."\" width=\"".$msa->l_size[0]."\" Alt=\"$words\"><img src=\"themes/$ThemeSel/images/mainbar.gif\" Alt=\"$words\" height=\"".$msa->m_size[1]."\" width=", $graphhits * 4, "><img src=\"themes/$ThemeSel/images/rightbar.gif\" height=\"".$msa->r_size[1]."\" width=\"".$msa->r_size[0]."\" Alt=\"$words\"></td>\n";
      echo "<td width=\"30%\"><p align=\"left\"><font class=\"content\"><b> $graphhits %</b> ($hits)</td></tr>\n";
   }
   echo "</table>\n";
} // END function MSAnalysisSESQ( )

/******************************************************************************/
/* FUNCTION: MSAnalysisBrowsers()                                             */
/* Show Detailed Overview of all Browsers                                     */
/******************************************************************************/
function MSAnalysisBrowsers( $max_view, $screen )
{
   global $prefix, $dbi, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;

   $counter = 0;
   $msa = new msanalysis();
   $totalhits = $msa->TotalHits( $screen );
   if( is_admin( $admin ) ) { $colspan = 6; } else { $colspan = 5; }
   // Show Top-list of Browsers
   echo "<table border=\"1\" cellpadding=\"0\" cellspacing=\"2\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\" bgcolor=\"$bgcolor1\">\n";
   echo "<tr><td width=\"100%\" colspan=\"$colspan\" align=\"center\" height=\"30\" bgcolor=\"$bgcolor2\"><b>"._MSA_TOP." $max_view "._MSA_GENBROWSERS."</b></td></tr>\n";
   echo "<tr><td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\">&nbsp;</td>\n";
   if( is_admin( $admin ) ) { echo "<td width=\"5%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_DELETE."</b></td>"; }
   echo "<td width=\"15%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_SYMBOL."</b></td>\n";
   echo "<td width=\"20%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_NAME."</b></td>\n";
   echo "<td width=\"25%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td>\n";
   echo "<td width=\"25%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td></tr>\n";

   $result = sql_query( "select id, ibrowser, hits from $prefix"._msanalysis_browsers." order by hits DESC", $dbi );
   while( ( list( $id, $ibrowser, $hits ) = sql_fetch_row( $result, $dbi ) ) AND ( $counter < $max_view ) ) {
      if( ! eregi( "Web Crawler", $ibrowser ) ) {
         $sym = $msa->GetBrowserPicture( $ibrowser );
         $symp = "modules/$module_name/images/browsers/$sym".".gif";
         if( !( file_exists( $symp ) ) ) $symp = "modules/$module_name/images/browsers/blank.gif";
         $counter += 1;
         echo "<tr><td width=\"10%\"><p align=\"center\">$counter.</td>\n";
         if( is_admin( $admin ) ) { echo "<td width=\"5%\" height=\"22\"><p align=\"center\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisBrowsersDel&amp;id=$id&amp;screen=$screen\"><img src=\"modules/$module_name/images/delete.gif\" border=\"0\" align=\"bottom\"></a></td>\n"; }
         echo "<td width=\"15%\"><p align=\"center\"><font class=\"content\"><img src=\"$symp\" ALT=\"$ibrowser\" border=\"0\"></td>\n";
         echo "<td width=\"20%\"><p align=\"left\"><font class=\"content\"><b>$ibrowser</b></td>\n";
         $graphhits = substr( 100 * $hits / $totalhits, 0, 5);
         echo "<td width=\"25%\"><p align=\"left\"><font class=\"content\"><img src=\"themes/$ThemeSel/images/leftbar.gif\" height=\"".$msa->l_size[1]."\" width=\"".$msa->l_size[0]."\" Alt=\"$ibrowser\"><img src=\"themes/$ThemeSel/images/mainbar.gif\" Alt=\"$ibrowser\" height=\"".$msa->m_size[1]."\" width=", $graphhits * 2, "><img src=\"themes/$ThemeSel/images/rightbar.gif\" height=\"".$msa->r_size[1]."\" width=\"".$msa->r_size[0]."\" Alt=\"$ibrowser\"></td>\n";
         echo "<td width=\"25%\"><p align=\"left\"><font class=\"content\"><b> $graphhits %</b> ($hits)</td></tr>\n";
      }
   }
   echo "</table><br>\n";

   $counter = 0;
   $totalhits = $msa->TotalHits( $screen );
   // Show Top-list of Browsers per 'type'
   echo "<table border=\"1\" cellpadding=\"0\" cellspacing=\"2\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\" bgcolor=\"$bgcolor1\">\n";
   echo "<tr><td width=\"100%\" colspan=\"5\" align=\"center\" height=\"30\" bgcolor=\"$bgcolor2\"><b>"._MSA_GENTYPEBROWSERS."</b></td></tr>\n";
   echo "<tr><td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\">&nbsp;</td>\n";
   echo "<td width=\"15%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_SYMBOL."</b></td>\n";
   echo "<td width=\"20%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_NAME."</b></td>\n";
   echo "<td width=\"25%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td>\n";
   echo "<td width=\"25%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td></tr>\n";
      $browserinfo = explode( "|", $msa->CountBrowserTypes() );
      for( $i = 1; $i < $browserinfo[ 0 ]; $i = $i + 2 ) {
         $sym = $browserinfo[ $i + 1 ];
         $symp = "modules/$module_name/images/browsers/" . strtolower( $sym ) .".gif";
         if( !( file_exists( $symp ) ) ) $symp = "modules/$module_name/images/browsers/blank.gif";
         $counter += 1;
         echo "<tr><td width=\"10%\"><p align=\"center\">$counter.</td>\n";
         $hits = $browserinfo[ $i ]; $ibrowser = $sym;
         echo "<td width=\"15%\"><p align=\"center\"><font class=\"content\"><img src=\"$symp\" ALT=\"$ibrowser\" border=\"0\"></td>\n";
         echo "<td width=\"20%\"><p align=\"left\"><font class=\"content\"><b>$ibrowser</b></td>\n";
         $graphhits = substr( 100 * $hits / $totalhits, 0, 5);
         echo "<td width=\"25%\"><p align=\"left\"><font class=\"content\"><img src=\"themes/$ThemeSel/images/leftbar.gif\" height=\"".$msa->l_size[1]."\" width=\"".$msa->l_size[0]."\" Alt=\"$ibrowser\"><img src=\"themes/$ThemeSel/images/mainbar.gif\" Alt=\"$ibrowser\" height=\"".$msa->m_size[1]."\" width=", $graphhits * 1.5, "><img src=\"themes/$ThemeSel/images/rightbar.gif\" height=\"".$msa->r_size[1]."\" width=\"".$msa->r_size[0]."\" Alt=\"$ibrowser\"></td>\n";
         echo "<td width=\"25%\"><p align=\"left\"><font class=\"content\"><b> $graphhits %</b> ($hits)</td></tr>\n";
      }
   echo "</table><br>\n";

   $counter = 0;
   if( is_admin( $admin ) ) { $colspan = 5; } else { $colspan = 4; }
   // Show Top-list of OTHER Browsers (Webcrawlers)
   echo "<table border=\"1\" cellpadding=\"0\" cellspacing=\"2\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\" bgcolor=\"$bgcolor1\">\n";
   echo "<tr><td width=\"100%\" colspan=\"$colspan\" align=\"center\" height=\"30\" bgcolor=\"$bgcolor2\"><b>"._MSA_TOP." $max_view "._MSA_GENOTHERBROWSERS."</b></td></tr>\n";
   echo "<tr><td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\">&nbsp;</td>\n";
   if( is_admin( $admin ) ) { echo "<td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_DELETE."</b></td>"; }
   echo "<td width=\"70%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_NAME."</b></td>\n";
   echo "<td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td></tr>\n";

   $result = sql_query( "select id, ibrowser, hits from $prefix"._msanalysis_browsers." order by hits DESC", $dbi );
   while( ( list( $id, $ibrowser, $hits ) = sql_fetch_row( $result, $dbi ) ) AND ( $counter < $max_view ) ) {
      if( eregi( "Web Crawler", $ibrowser ) ) {
         $counter += 1;
         echo "<tr><td width=\"10%\"><p align=\"center\">$counter.</td>\n";
         if( is_admin( $admin ) ) { echo "<td width=\"10%\" height=\"22\"><p align=\"center\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisBrowsersDel&amp;id=$id&amp;screen=$screen\"><img src=\"modules/$module_name/images/delete.gif\" border=\"0\" align=\"bottom\"></a></td>\n"; }
         echo "<td width=\"70%\"><p align=\"left\"><font class=\"content\"><b>$ibrowser</b></td>\n";
         echo "<td width=\"10%\"><p align=\"center\"><font class=\"content\"><b>$hits</b></td></tr>\n";
      }
   }
   echo "</table>\n";
} // END function MSAnalysisBrowsers( )

/******************************************************************************/
/* FUNCTION: MSAnalysisOS()                                                   */
/* Show Detailed Overview of all OS                                           *
/******************************************************************************/
function MSAnalysisOS( $max_view, $screen )
{
   global $prefix, $dbi, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;

   $counter = 0;
   $msa = new msanalysis();
   $totalhits = $msa->TotalHits( $screen );
   if( is_admin( $admin ) ) { $colspan = 6; } else { $colspan = 5; }

   // Show Top-list of OS
   echo "<table border=\"1\" cellpadding=\"0\" cellspacing=\"2\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\" bgcolor=\"$bgcolor1\">\n";
   echo "<tr><td width=\"100%\" colspan=\"$colspan\" align=\"center\" height=\"30\" bgcolor=\"$bgcolor2\"><b>"._MSA_TOP." $max_view "._MSA_GENOS."</b></td></tr>\n";
   echo "<tr><td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\">&nbsp;</td>\n";
   if( is_admin( $admin ) ) { echo "<td width=\"5%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_DELETE."</b></td>\n"; }
   echo "<td width=\"15%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_SYMBOL."</b></td>\n";
   echo "<td width=\"20%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_NAME."</b></td>\n";
   echo "<td width=\"25%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td>\n";
   echo "<td width=\"25%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td></tr>\n";

   $result = sql_query( "select id, ios, hits from $prefix"._msanalysis_os." order by hits DESC LIMIT 0, $max_view", $dbi );
   while( ( list( $id, $ios, $hits ) = sql_fetch_row( $result, $dbi ) )  ) {
      $sym = $msa->GetOSPicture( $ios );
      $symp = "modules/$module_name/images/os/$sym".".gif";
      if( !( file_exists( $symp ) ) ) $symp = "modules/$module_name/images/os/blank.gif";
      $counter += 1;
	  echo "<tr><td width=\"10%\"><p align=\"center\">$counter.</td>\n";
      if( is_admin( $admin ) ) { echo "<td width=\"5%\" height=\"22\"><p align=\"center\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisOSDel&amp;id=$id&amp;screen=$screen\"><img src=\"modules/$module_name/images/delete.gif\" border=\"0\" align=\"bottom\"></a></td>\n"; }
      echo "<td width=\"15%\"><p align=\"center\"><font class=\"content\"><img src=\"$symp\" ALT=\"$ios\" border=\"0\"></td>\n";
      echo "<td width=\"20%\"><p align=\"left\"><font class=\"content\"><b>$ios</b></td>\n";
      $graphhits = substr( 100 * $hits / $totalhits, 0, 5);
      echo "<td width=\"25%\"><p align=\"left\"><font class=\"content\"><img src=\"themes/$ThemeSel/images/leftbar.gif\" height=\"".$msa->l_size[1]."\" width=\"".$msa->l_size[0]."\" Alt=\"$ios\"><img src=\"themes/$ThemeSel/images/mainbar.gif\" Alt=\"$ios\" height=\"".$msa->m_size[1]."\" width=", $graphhits * 2, "><img src=\"themes/$ThemeSel/images/rightbar.gif\" height=\"".$msa->r_size[1]."\" width=\"".$msa->r_size[0]."\" Alt=\"$ios\"></td>\n";
      echo "<td width=\"25%\"><p align=\"left\"><font class=\"content\"><b> $graphhits %</b> ($hits)</td></tr>\n";
   }
   echo "</table>\n";
} // END function MSAnalysisOS( )

/******************************************************************************/
/* FUNCTION: MSAnalysisModules()                                              */
/* Show Detailed Overview of all Modules                                      */
/******************************************************************************/
function MSAnalysisModules( $max_view, $screen )
{
   global $prefix, $dbi, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;

   $counter = 0;
   $msa = new msanalysis();
   $totalhits = $msa->TotalHits( $screen );
   if( is_admin( $admin ) ) { $colspan = 6; } else { $colspan = 5; }

   // Show Top-list of Modules
   echo "<table border=\"1\" cellpadding=\"0\" cellspacing=\"2\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\" bgcolor=\"$bgcolor1\">\n";
   echo "<tr><td width=\"100%\" colspan=\"$colspan\" align=\"center\" height=\"30\" bgcolor=\"$bgcolor2\"><b>"._MSA_TOP." $max_view "._MSA_GENMODULES."</b></td></tr>\n";
   echo "<tr><td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\">&nbsp;</td>\n";
   if( is_admin( $admin ) ) { echo "<td width=\"5%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_DELETE."</b></td>\n"; }
   echo "<td width=\"30%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_NAME."</b></td>\n";
   echo "<td width=\"35%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td>\n";
   echo "<td width=\"20%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td></tr>\n";

   $result = sql_query( "select id, modulename, hits from $prefix"._msanalysis_modules." order by hits DESC LIMIT 0, $max_view", $dbi );
   while( list( $id, $modulename, $hits ) = sql_fetch_row( $result, $dbi ) ) {
	  $counter += 1;
      $nmodulename = strtr ( $modulename, ' ', '_' );
      $nmodulename = "<a href=\"modules.php?name=".$nmodulename."\">$modulename</a>";	  
	  echo "<tr><td width=\"10%\"><p align=\"center\">$counter.</td>\n";
      if( is_admin( $admin ) ) { echo "<td width=\"5%\" height=\"22\"><p align=\"center\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisModulesDel&amp;id=$id&amp;screen=$screen\"><img src=\"modules/$module_name/images/delete.gif\" border=\"0\" align=\"bottom\"></a></td>\n"; }
      echo "<td width=\"30%\"><p align=\"left\"><font class=\"content\"><b>$nmodulename</b></td>\n";
      $graphhits = substr( 100 * $hits / $totalhits, 0, 5);
      echo "<td width=\"35%\"><p align=\"left\"><font class=\"content\"><img src=\"themes/$ThemeSel/images/leftbar.gif\" height=\"".$msa->l_size[1]."\" width=\"".$msa->l_size[0]."\" Alt=\"$modulename\"><img src=\"themes/$ThemeSel/images/mainbar.gif\" Alt=\"$modulename\" height=\"".$msa->m_size[1]."\" width=", $graphhits * 2, "><img src=\"themes/$ThemeSel/images/rightbar.gif\" height=\"".$msa->r_size[1]."\" width=\"".$msa->r_size[0]."\" Alt=\"$modulename\"></td>\n";
      echo "<td width=\"20%\"><p align=\"left\"><font class=\"content\"><b> $graphhits %</b> ($hits)</td></tr>\n";
   }
   echo "</table>\n";
} // END function MSAnalysisModules( )


/******************************************************************************/
/* FUNCTION: MSAnalysisUsers()                                                */
/* Show Detailed Overview of all Users                                        */
/******************************************************************************/
function MSAnalysisUsers( $max_view, $screen )
{
   global $prefix, $dbi, $module_name, $admin, $bgcolor1, $bgcolor2;
   $msa = new msanalysis();
   
   $counter = 0;
   if( is_admin( $admin ) ) { $colspan = 8; } else { $colspan = 7; }
   
   // Show Top-list of Users
   echo "<table border=\"1\" cellpadding=\"0\" cellspacing=\"2\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\" bgcolor=\"$bgcolor1\">\n";
   echo "<tr><td width=\"100%\" colspan=\"$colspan\" align=\"center\" height=\"30\" bgcolor=\"$bgcolor2\"><b>"._MSA_TOP." $max_view "._MSA_GENUSERS."</b></td></tr>\n";
   echo "<tr><td width=\"5%\" bgcolor=\"$bgcolor2\"><p align=\"left\">&nbsp;</td>\n";
   if( is_admin( $admin ) ) { echo "<td width=\"5%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_DELETE."</b></td>\n"; }
   echo "<td width=\"15%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_NAME."</b></td>\n";
   echo "<td width=\"15%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_GENBROWSERS."</b></td>\n";
   echo "<td width=\"15%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_GENOS."</b></td>\n";
   echo "<td width=\"25%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_GENCOUNTRIES."</b></td>\n";
   echo "<td width=\"15%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_LASTVISIT."</b></td>\n";
   echo "<td width=\"5%\"  bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td></tr>\n";

   $result = sql_query( "select uid, uname, browser, os, country, time, hits from $prefix"._msanalysis_users." order by hits DESC LIMIT 0, $max_view", $dbi );
   while( list( $uid, $uname, $browser, $os, $country, $time, $hits ) = sql_fetch_row( $result, $dbi ) ) {
      $result1 = sql_query( "select domain from $prefix"._msanalysis_domains." where description = '$country'", $dbi );
      list( $domain ) = sql_fetch_row( $result1, $dbi );
      
      $flag = "modules/$module_name/images/flags/$domain".".gif";
      if( !( file_exists( $flag ) ) ) $flag = "modules/$module_name/images/flags/blank.gif";

      $daysago = $msa->DaysOld( $time );
	  if( $daysago == 0 ) { $ptime = substr( $time, 11, 8 ); }
	  else if( $daysago == 1 ) { $ptime = _MSA_YESTERDAY; }
	  else $ptime = $daysago." " . _MSA_DAYSAGO;
            
	  $counter += 1;
	  echo "<tr><td width=\"5%\"><p align=\"left\">$counter.</td>\n";
      if( is_admin( $admin ) ) { echo "<td width=\"5%\" height=\"22\"><p align=\"left\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisUsersDel&amp;uid=$uid&amp;screen=$screen\"><img src=\"modules/$module_name/images/delete.gif\" border=\"0\" align=\"bottom\"></a></td>\n"; }
      if( is_admin( $admin ) ) {
         echo "<td width=\"15%\"><p align=\"left\"><font class=\"content\"><A HREF=\"modules.php?name=$module_name&file=userinfo&amp;suser=$uname\"><b>$uname</b></a></td>\n";
      }
      else {
         echo "<td width=\"15%\"><p align=\"left\"><font class=\"content\"><A HREF=\"modules.php?name=Your_Account&amp;op=userinfo&amp;uname=$uname\"><b>$uname</b></a></td>\n";
      }            
      echo "<td width=\"15%\"><p align=\"left\"><font class=\"content\"><b>$browser</b></td>\n";
      echo "<td width=\"15%\"><p align=\"left\"><font class=\"content\"><b>$os</b></td>\n";   
      echo "<td width=\"25%\"><p align=\"left\"><font class=\"content\"><img src=\"$flag\" ALT=\"$country\" width=\"24\" height=\"15\" border=\"0\">&nbsp;<b>$country</b></td>\n";
      echo "<td width=\"15%\"><p align=\"left\"><font class=\"content\"><b>$ptime</b></td>\n";
      echo "<td width=\"5%\"><p align=\"left\"><font class=\"content\"><b>$hits</b></td>\n";
      echo "</tr>\n";
   }
   echo "</table>\n";
} // END function MSAnalysisUsers( )

/******************************************************************************/
/* FUNCTION: MSAnalysisResolutions()                                          */
/* Show Detailed Overview of all Screen Resolutions                           */
/******************************************************************************/
function MSAnalysisResolutions( $max_view, $screen )
{
   global $prefix, $dbi, $module_name, $admin, $bgcolor1, $bgcolor2, $ThemeSel;

   $counter = 0;
   $msa = new msanalysis();
   $totalhits = $msa->TotalHits( $screen );
   if( is_admin( $admin ) ) { $colspan = 7; } else { $colspan = 6; }

   // Show Top-list of Screen Resolutions
   echo "<table border=\"1\" cellpadding=\"0\" cellspacing=\"2\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\" bgcolor=\"$bgcolor1\">\n";
   echo "<tr><td width=\"100%\" colspan=\"$colspan\" align=\"center\" height=\"30\" bgcolor=\"$bgcolor2\"><b>"._MSA_TOP." $max_view "._MSA_GENRESOLUTION."</b></td></tr>\n";
   echo "<tr><td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\">&nbsp;</td>\n";
   if( is_admin( $admin ) ) { echo "<td width=\"5%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_DELETE."</b></td>\n"; }
   echo "<td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_WIDTH."</b></td>\n";
   echo "<td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HEIGHT."</b></td>\n";
   echo "<td width=\"10%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_COLORS."</b></td>\n";  
   echo "<td width=\"35%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td>\n";
   echo "<td width=\"20%\" bgcolor=\"$bgcolor2\"><p align=\"center\"><font class=\"content\"><b>"._MSA_HITS."</b></td></tr>\n";

   $result = sql_query( "select id, scr_res, hits from $prefix"._msanalysis_scr." order by hits DESC LIMIT 0, $max_view", $dbi );
   while( ( list( $id, $scr_res, $hits ) = sql_fetch_row( $result, $dbi ) )  ) {
      $counter += 1;
	  echo "<tr><td width=\"10%\"><p align=\"center\">$counter.</td>\n";
      if( is_admin( $admin ) ) { echo "<td width=\"5%\" height=\"22\"><p align=\"center\"><a href=\"modules.php?name=$module_name&amp;file=details&amp;op=MSAnalysisResolutionsDel&amp;id=$id&amp;screen=$screen\"><img src=\"modules/$module_name/images/delete.gif\" border=\"0\" align=\"bottom\"></a></td>\n"; }
      $whc = explode( "x", $scr_res );      
      echo "<td width=\"10%\"><b>".$whc[ 0 ]."</b></td>\n";
      echo "<td width=\"10%\"><b>".$whc[ 1 ]."</b></td>\n";
      echo "<td width=\"10%\"><b>".$whc[ 2 ]."</b></td>\n";
      $graphhits = substr( 100 * $hits / $totalhits, 0, 5);
      echo "<td width=\"35%\"><p align=\"left\"><font class=\"content\"><img src=\"themes/$ThemeSel/images/leftbar.gif\" height=\"".$msa->l_size[1]."\" width=\"".$msa->l_size[0]."\" Alt=\"$ios\"><img src=\"themes/$ThemeSel/images/mainbar.gif\" Alt=\"$ios\" height=\"".$msa->m_size[1]."\" width=", $graphhits * 2, "><img src=\"themes/$ThemeSel/images/rightbar.gif\" height=\"".$msa->r_size[1]."\" width=\"".$msa->r_size[0]."\" Alt=\"$scr_res\"></td>\n";
      echo "<td width=\"20%\"><p align=\"left\"><font class=\"content\"><b> $graphhits %</b> ($hits)</td></tr>\n";
   }
   echo "</table>\n";
} // END function MSAnalysisResolution( )


/******************************************************************************/
/* FUNCTION: MSAnalysisCountriesDel()                                         */
/* Delete selected item from Country Table                                    */
/******************************************************************************/
function MSAnalysisCountriesDel( $id, $screen )
{
   global $prefix, $dbi;
   
   $result = sql_query( "DELETE FROM $prefix"._msanalysis_countries." WHERE id='$id'", $dbi );
   if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   MSAnalysisDetails( $screen );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisReferralsDel()                                         */
/* Delete selected item from Referrals Table                                  */
/******************************************************************************/
function MSAnalysisReferralsDel( $id, $screen )
{
   global $prefix, $dbi;
   
   $result = sql_query( "DELETE FROM $prefix"._msanalysis_referrals." WHERE id='$id'", $dbi );
   if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   MSAnalysisDetails( $screen );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisSEDel()                                                */
/* Delete selected item from Referrals Table !!!!!!!                          */
/******************************************************************************/
function MSAnalysisSEDel( $id, $screen )
{
   global $prefix, $dbi;
   
   $result = sql_query( "DELETE FROM $prefix"._msanalysis_referrals." WHERE id='$id'", $dbi );
   if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   MSAnalysisDetails( $screen );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisSESQDel()                                              */
/* Delete selected item from Search Table                                     */
/******************************************************************************/
function MSAnalysisSESQDel( $id, $screen )
{
   global $prefix, $dbi;
   
   $result = sql_query( "DELETE FROM $prefix"._msanalysis_search." WHERE id='$id'", $dbi );
   if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   MSAnalysisDetails( 3 );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisBrowsersDel()                                          */
/* Delete selected item from Browsers Table                                   */
/******************************************************************************/
function MSAnalysisBrowsersDel( $id, $screen )
{
   global $prefix, $dbi;
   
   $result = sql_query( "DELETE FROM $prefix"._msanalysis_browsers." WHERE id='$id'", $dbi );
   if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   MSAnalysisDetails( $screen );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisOSDel()                                                */
/* Delete selected item from OS Table                                         */
/******************************************************************************/
function MSAnalysisOSDel( $id, $screen )
{
   global $prefix, $dbi;
   
   $result = sql_query( "DELETE FROM $prefix"._msanalysis_os." WHERE id='$id'", $dbi );
   if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   MSAnalysisDetails( $screen );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisModulesDel()                                           */
/* Delete selected item from Modules Table                                    */
/******************************************************************************/
function MSAnalysisModulesDel( $id, $screen )
{
   global $prefix, $dbi;
   
   $result = sql_query( "DELETE FROM $prefix"._msanalysis_modules." WHERE id='$id'", $dbi );
   if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   MSAnalysisDetails( $screen );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisUsersDel()                                             */
/* Delete selected item from Users Table                                      */
/******************************************************************************/
function MSAnalysisUsersDel( $uid, $screen )
{
   global $prefix, $dbi;
   
   $result = sql_query( "DELETE FROM $prefix"._msanalysis_users." WHERE uid='$uid'", $dbi );
   if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   MSAnalysisDetails( $screen );
}
/******************************************************************************/
/* FUNCTION: MSAnalysisResolutionsDel()                                       */
/* Delete selected Resolution from Resolution Table                           */
/******************************************************************************/
function MSAnalysisResolutionsDel( $id, $screen )
{
   global $prefix, $dbi;
   
   $result = sql_query( "DELETE FROM $prefix"._msanalysis_scr." WHERE id='$id'", $dbi );
   if ( !$result ) { echo "<center><b>"._MSA_DELETERROR."<b></center>\n"; }
   MSAnalysisDetails( $screen );
}

/***************************************************/
/****************** PROGRAM START ******************/
/***************************************************/
switch ( $op )
{
    case "MSAnalysisDetails":
       MSAnalysisDetails( $screen );
    break;

    case "MSAnalysisCountries":
       MSAnalysisCountries( $max_view, $screen );
    break;
    
    case "MSAnalysisReferrals":
       MSAnalysisReferrals( $max_view, $screen );
    break;
    
    case "MSAnalysisSE":
       MSAnalysisSE( $max_view, $screen );
    break;

    case "MSAnalysisSESQ":
       MSAnalysisSESQ( $max_view, $screen );
    break;

    case "MSAnalysisBrowsers":
       MSAnalysisBrowsers( $max_view, $screen );
    break;
    
    case "MSAnalysisOS":
       MSAnalysisOS( $max_view, $screen );
    break;
    
    case "MSAnalysisModules":
       MSAnalysisModules( $max_view, $screen );
    break;

    case "MSAnalysisUsers":
       MSAnalysisUsers( $max_view, $screen );
    break;

    case "MSAnalysisResolutions":
       MSAnalysisResolutions( $max_view, $screen );
    break;

    case "MSAnalysisCountriesDel":
       MSAnalysisCountriesDel( $id, $screen );
    break;
    
    case "MSAnalysisReferralsDel":
       MSAnalysisReferralsDel( $id, $screen );
    break;
    
    case "MSAnalysisSEDel":
       MSAnalysisSEDel( $id, $screen );
    break;

    case "MSAnalysisSESQDel":
       MSAnalysisSESQDel( $id, $screen );
    break;

    case "MSAnalysisBrowsersDel":
       MSAnalysisBrowsersDel( $id, $screen );
    break;
    
    case "MSAnalysisOSDel":
       MSAnalysisOSDel( $id, $screen );
    break;
    
    case "MSAnalysisModulesDel":
       MSAnalysisModulesDel( $id, $screen );
    break;

    case "MSAnalysisUsersDel":
       MSAnalysisUsersDel( $uid, $screen );
    break;

    case "MSAnalysisResolutionsDel":
       MSAnalysisResolutionsDel( $id, $screen );
    break;

    default:
       MSAnalysisDetails( $screen );
}


?>

